--
-- Fill-type names at icon
--
-- @author  Decker_MMIV
-- @date    2015-06-16
--

FSBaseMission.drawHudIcon = Utils.prependedFunction(FSBaseMission.drawHudIcon, function(self)
    if self.fillTypeOverlayFillType ~= Fillable.FILLTYPE_UNKNOWN then
        local fillDesc = Fillable.fillTypeIndexToDesc[self.fillTypeOverlayFillType]
        if fillDesc ~= nil then
            setTextAlignment(RenderText.ALIGN_CENTER);

            local fontSize = 0.01
            local x  = g_currentMission.fruitSymbolX + (g_currentMission.fruitSymbolSizeX / 2)
            local yT = g_currentMission.fruitSymbolY + g_currentMission.fruitSymbolSizeY + (fontSize * 0.1)
            local yB = g_currentMission.fruitSymbolY - fontSize - (fontSize * 0.1)
            
            setTextColor(0.5, 0.5, 0.5, 1.0);
            renderText(x, yB, fontSize, fillDesc.name);     -- generic name

            setTextColor(1.0, 1.0, 1.0, 1.0);
            renderText(x, yT, fontSize, fillDesc.nameI18N); -- localized name
            
            setTextAlignment(RenderText.ALIGN_LEFT);
        end
    end
end);
